'use strict';

var path = require('path');
var loaderUtils = require('loader-utils');
var tComm = require('t-comm');
var shared = require('@plugin-light/shared');
var sharedVue2 = require('@plugin-light/shared-vue2');

function _interopNamespace(e) {
    if (e && e.__esModule) return e;
    var n = Object.create(null);
    if (e) {
        Object.keys(e).forEach(function (k) {
            if (k !== 'default') {
                var d = Object.getOwnPropertyDescriptor(e, k);
                Object.defineProperty(n, k, d.get ? d : {
                    enumerable: true,
                    get: function () { return e[k]; }
                });
            }
        });
    }
    n["default"] = e;
    return Object.freeze(n);
}

var path__namespace = /*#__PURE__*/_interopNamespace(path);

// 某些组件不一定存在 @TIP_STYLE_NAME
const CSS_PATH = `./css/${shared.BASE_SCSS}`;
function getComponentName(dir) {
    const tPath = tComm.normalizePath(dir);
    const match = tPath.match(/\/([^/]+)$/);
    return match?.[1] || '';
}
function injectDynamicStyleMp(source) {
    if (!sharedVue2.shouldUseLoader.call(this, shared.PLATFORMS_MP))
        return source;
    const options = loaderUtils.getOptions(this) || {};
    const { topElement = 'body' } = options;
    const dir = this.context;
    const componentName = getComponentName(dir);
    if (!componentName) {
        return source;
    }
    if (source.indexOf(CSS_PATH) < 0) {
        return source;
    }
    const cssDir = path__namespace.join(dir, 'css');
    const styleList = shared.getStyleList(cssDir);
    if (!styleList.length) {
        return source;
    }
    const reg = new RegExp(`src=["']${CSS_PATH}["']>[^<]*</style>`);
    const injectContent = shared.genInjectContent({
        styleList,
        componentName,
        topElement,
        dir: 'css/',
    });
    const newContent = source.replace(reg, `>${injectContent}</style>`);
    return newContent;
}

module.exports = injectDynamicStyleMp;
